Bug 1281894 - ovs-dpdk: provides 'openvswitch'
ovs-dpdk: provides 'openvswitch'
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch-dpdk (Show other bugs)
7.3
All Linux
urgent Severity high
: rc
: ---
Assigned To: Panu Matilainen
Jean-Tsung Hsiao
: ZStream
Depends On:
Blocks: 1266070 1284536
  Show dependency treegraph
 
Reported: 2015-11-13 12:52 EST by Flavio Leitner
Modified: 2016-01-03 02:42 EST (History)
6 users (show)

See Also:
Fixed In Version: openvswitch-dpdk-2.4.0-0.10346.git97bab959.2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1284536 (view as bug list)
Environment:
Last Closed: 2015-11-25 14:16:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flavio Leitner 2015-11-13 12:52:37 EST
Description of problem:

The current openvswitch-dpdk package conflicts with 'openvswitch' which is correct.  But it doesn't provide 'openvswitch', so it breaks openstack-neutron-openvswitch which requires 'openvswitch'.

Version-Release number of selected component (if applicable):
openvswitch-dpdk-2.4.0-0.10346.git97bab959.1.el7

Expected results:
openvswitch-dpdk be installed as a replacement for the openvswitch package.
Comment 1 Panu Matilainen 2015-11-16 03:57:24 EST
Hmm, I could've sworn we had such a provides there but clearly not...
Comment 6 Jean-Tsung Hsiao 2015-11-24 13:36:34 EST
The fix has been verified. Below is part of the "yum provides openvswitch" output.

openvswitch-dpdk-2.4.0-0.10346.git97bab959.2.el7.x86_64 : Open vSwitch
Repo        : installed
Matched from:
Provides    : openvswitch = 2.4.0-0.10346.git97bab959.2.el7

Note You need to log in before you can comment on or make changes to this bug.